diff --git a/src/common/Parameter.cpp b/src/common/Parameter.cpp
index 995e873e5..440618644 100644
--- a/src/common/Parameter.cpp
+++ b/src/common/Parameter.cpp
@@ -246,6 +246,7 @@ bool Parameter::can_extend_range()
    case ct_freq_shift:
    case ct_decibel_extendable:
    case ct_decibel_narrow_extendable:
+   case ct_decibel_narrow_short_extendable:
    case ct_oscspread:
    case ct_osc_feedback:
    case ct_osc_feedback_negative:
@@ -431,6 +432,7 @@ void Parameter::set_type(int ctrltype)
       break;
    case ct_decibel_narrow:
    case ct_decibel_narrow_extendable:
+   case ct_decibel_narrow_short_extendable:
       valtype = vt_float;
       val_min.f = -24;
       val_max.f = 24;
@@ -879,13 +881,19 @@ void Parameter::set_type(int ctrltype)
    case ct_decibel_extendable:
       displayType = LinearWithScale;
       sprintf( displayInfo.unit, "dB" );
-      displayInfo.extendFactor = 5;
+      displayInfo.extendFactor = 3;
       break;
 
    case ct_decibel_narrow_extendable:
       displayType = LinearWithScale;
       sprintf( displayInfo.unit, "dB");
-      displayInfo.extendFactor = 3;
+      displayInfo.extendFactor = 5;
+      break;
+
+   case ct_decibel_narrow_short_extendable:
+      displayType = LinearWithScale;
+      sprintf( displayInfo.unit, "dB");
+      displayInfo.extendFactor = 2;
       break;
 
    case ct_decibel:
@@ -1049,6 +1057,7 @@ void Parameter::bound_value(bool force_integer)
       case ct_decibel:
       case ct_decibel_narrow:
       case ct_decibel_narrow_extendable:
+      case ct_decibel_narrow_short_extendable:
       case ct_decibel_extra_narrow:
       case ct_decibel_attenuation:
       case ct_decibel_attenuation_large:
@@ -1222,6 +1231,8 @@ float Parameter::get_extended(float f)
       return 3.f * f;
    case ct_decibel_narrow_extendable:
       return 5.f * f;
+   case ct_decibel_narrow_short_extendable:
+      return 2.f * f;
    case ct_oscspread:
       return 12.f * f;
    case ct_osc_feedback:
@@ -2309,6 +2320,7 @@ bool Parameter::can_setvalue_from_string()
    case ct_decibel:
    case ct_decibel_narrow:
    case ct_decibel_narrow_extendable:
+   case ct_decibel_narrow_short_extendable:
    case ct_decibel_extra_narrow:
    case ct_decibel_attenuation:
    case ct_decibel_attenuation_large:
diff --git a/src/common/Parameter.h b/src/common/Parameter.h
index d5a029493..832012c80 100644
--- a/src/common/Parameter.h
+++ b/src/common/Parameter.h
@@ -53,6 +53,7 @@ enum ctrltypes
    ct_decibel,
    ct_decibel_narrow,
    ct_decibel_narrow_extendable,
+   ct_decibel_narrow_short_extendable, // shorter extend range
    ct_decibel_extra_narrow,
    ct_decibel_attenuation,
    ct_decibel_attenuation_large,
diff --git a/src/common/SurgePatch.cpp b/src/common/SurgePatch.cpp
index 9f42e5664..718aa88fe 100644
--- a/src/common/SurgePatch.cpp
+++ b/src/common/SurgePatch.cpp
@@ -417,7 +417,7 @@ SurgePatch::SurgePatch(SurgeStorage* storage)
                                                 gui_envsec_y + 13, sc_id, cg_GLOBAL, 0, false,
                                                 kNoPopup));
       a->push_back(scene[sc].wsunit.drive.assign(
-          p_id.next(), id_s++, "ws_drive", "Waveshaper Drive", ct_decibel_narrow,
+          p_id.next(), id_s++, "ws_drive", "Waveshaper Drive", ct_decibel_narrow_short_extendable,
           "filter.waveshaper_drive", gui_envsec_x + gui_vfader_dist * 5 + 10, gui_envsec_y, sc_id, cg_GLOBAL, 0, true,
           Surge::ParamConfig::kVertical | kWhite | sceasy));
 
diff --git a/src/common/dsp/QuadFilterUnit.cpp b/src/common/dsp/QuadFilterUnit.cpp
index 2e0ff4869..154b33602 100644
--- a/src/common/dsp/QuadFilterUnit.cpp
+++ b/src/common/dsp/QuadFilterUnit.cpp
@@ -625,6 +625,8 @@ __m128 SINUS_SSE2(__m128 in, __m128 drive)
    __m128i e = _mm_cvtps_epi32(x);
    __m128 a = _mm_sub_ps(x, _mm_cvtepi32_ps(e));
    e = _mm_packs_epi32(e, e);
+   const __m128i UB = _mm_set1_epi16(0x3fe);
+   e = _mm_max_epi16(_mm_min_epi16(e, UB), _mm_setzero_si128());
 
 #if MAC
    // this should be very fast on C2D/C1D (and there are no macs with K8's)
diff --git a/src/common/dsp/SurgeVoice.cpp b/src/common/dsp/SurgeVoice.cpp
index ac7dc739d..b6268bb4f 100644
--- a/src/common/dsp/SurgeVoice.cpp
+++ b/src/common/dsp/SurgeVoice.cpp
@@ -859,7 +859,8 @@ void SurgeVoice::SetQFB(QuadFilterChainState* Q, int e) // Q == 0 means init(ial
       break;
    }
 
-   float Drive = db_to_linear(localcopy[id_drive].f);
+   // HERE
+   float Drive = db_to_linear(scene->wsunit.drive.get_extended(localcopy[id_drive].f));
    float Gain = db_to_linear(localcopy[id_vca].f + localcopy[id_vcavel].f * (1.f - state.fvel)) *
                 modsources[ms_ampeg]->output;
    float FB = localcopy[id_feedback].f;
